import { BaseProvider } from '#templates/base/provider';
import { FileVariant } from '#models/FileVariant';

export class FileVariantProvider extends BaseProvider<FileVariant> {
	public static instance: FileVariantProvider;

	public static getInstance(): FileVariantProvider {
		FileVariantProvider.instance ??= new FileVariantProvider();
		return FileVariantProvider.instance;
	}

	public static get model() {
		return FileVariant;
	}

	constructor() {
		super('FileVariant');
	}
}
